For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETList settlements (owner)
      • GETGet a settlement
      • POSTRoll up a settlement period (admin)
      • POSTPay a settlement (admin) — triggers M-Pesa B2C
LogoLogo
DashboardGet started
Generated API ExplorerSettlements

Get a settlement

GET
/v1/settlements/:id
GET
/v1/settlements/:id
$curl https://api.lipafy.xyzyz/v1/settlements/id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{}
Was this page helpful?
Previous

Roll up a settlement period (admin)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Response

OK